<template>
  <div class="col-xs-3 options-column">
    <div class="options-column__title">
      {{ title }}
    </div>

    <div class="options-column__section">
      <span class="options-column__section-title">
        В лоте:
      </span>

      от

      <input
        :value="lotFrom"
        :disabled="disabled"
        placeholder="min"
        type="number"
        @input="onInput('lotFrom', $event)"
      />

      до

      <input
        :value="lotTo"
        :disabled="disabled"
        placeholder="max"
        type="number"
        @input="onInput('lotTo', $event)"
      />

      <template v-if="withPercent">%</template>
    </div>

    <div class="options-column__section">
      <span class="options-column__section-title">
        Всего:
      </span>

      от

      <input
        :value="purchaseFrom"
        :disabled="disabled"
        placeholder="min"
        type="number"
        @input="onInput('purchaseFrom', $event)"
      />

      до

      <input
        :value="purchaseTo"
        :disabled="disabled"
        placeholder="max"
        type="number"
        @input="onInput('purchaseTo', $event)"
      />

      <template v-if="withPercent">%</template>
    </div>

    <slot />
  </div>
</template>

<script>
  export default {
    name: "tender-scenario-options-column",
    props: {
      title: {
        type: String,
        required: true
      },
      lotFrom: {
        type: [ String, Number ],
        required: true
      },
      lotTo: {
        type: [ String, Number ],
        required: true
      },
      purchaseFrom: {
        type: [ String, Number ],
        required: true
      },
      purchaseTo: {
        type: [ String, Number ],
        required: true
      },
      withPercent: {
        type: Boolean,
        default: false
      },
      disabled: {
        type: Boolean,
        default: true
      }
    },
    methods: {
      onInput (key, { target: { value }}) {
        this.$emit(`update:${key}`, value === '' ? '' : Number(value));
      }
    }
  }
</script>

<style lang="scss" scoped>
  @import "~common-components/src/static/css/mixins";

  .options-column {
    display: grid;
    grid-row-gap: 10px;
    grid-auto-rows: min-content;

    &__title {
      @include font-mixin(14px, 20px, 700, $shale-gray, 0.4px);
    }

    &__section {
      max-width: 240px;
      color: $color-grey-label;
      display: grid;
      grid-auto-flow: column;
      grid-column-gap: 5px;
      grid-auto-columns: max-content;
      align-items: center;
    }

    &__section-title {
      width: 47px;
      color: $color-text-base;
    }

    input[type="number"] {
      @include font-mixin(14px, 20px, 400, $style-black);

      width: 60px;
      display: inline-block;
      height: 30px;
      border: 1px solid $color-grey-border;
      box-sizing: border-box;
      border-radius: 3px;
      padding: 12px 7px;
      outline: none;
      box-shadow: none;

      &::placeholder {
        color: $gray-window;
      }
    }
  }
</style>